unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Hyper64, StdCtrls, ExtCtrls;

type
  TForm2 = class(TForm)
    Button1: TButton;
    procedure OnActivate(Sender: TObject);
    procedure OnClose(Sender: TObject; var Action: TCloseAction);
    procedure FormPaint(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormClick(Sender: TObject);
  private
    { Private declarations }
  public
    Hyper  : THyper64;
    Buffer : TBuffer64;
    { Public declarations }
  end;

var
  Form2 : TForm2;

implementation

uses Unit1;

{$R *.DFM}

procedure TForm2.OnActivate(Sender: TObject);
var x, y : LongInt;
begin
  Buffer.GetImageSize('images\logo.jpg', x, y);

  Hyper:= THyper64.Create(Handle, x, y);
  Buffer:= TBuffer64.Create(Hyper, 1, 1, true);
  Buffer.LoadImage('images\logo.jpg', true);

  Buffer.Rect(0, 0, Buffer.XMax, Buffer.YMax, 0);
  Buffer.Rect(1, 1, Buffer.XMax- 1, Buffer.YMax- 1, 0);
  Left:= (GetSystemMetrics(SM_CXSCREEN) shr 1)- (Buffer.XSize shr 1);
  Top:= 20;

  Button1.Left:= Hyper.XSize- (Button1.Width+ 6);
  Button1.Top:= Hyper.YSize- (Button1.Height shr 1);
end;

procedure TForm2.OnClose(Sender: TObject; var Action: TCloseAction);
begin
  Buffer.Destroy;
  Hyper.Destroy;
end;

procedure TForm2.FormPaint(Sender: TObject);
begin
  Buffer.Draw(0, 0);
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
  Form1.Close;
end;

procedure TForm2.FormShow(Sender: TObject);
begin
  Buffer.Draw(0, 0);
end;

procedure TForm2.FormResize(Sender: TObject);
begin
  Buffer.Draw(0, 0);
end;

procedure TForm2.FormClick(Sender: TObject);
begin
  Buffer.Draw(0, 0);
end;

end.

